Represents an LDAP Syntax

package | lib

### Methods

## Creates a new Syntax object from a raw LDAP syntax string.

    Syntax($raw_ldap_syntax_string)

### Parameters

#### $raw_ldap_syntax_string

## Initializes the class' member variables

    initVars()

Represents an LDAP Syntax

A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax. All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

package | phpLDAPadmin
subpackage | Schema

### Methods

## Creates a new Syntax object from a raw LDAP syntax string.

    __construct($class)

### Parameters

#### $class

## getDescription()

    getDescription()

Inherited

inherited_from | \SchemaItem::getDescription()

## Gets whether this objectClass is flagged as obsolete by the LDAP server.

    getIsObsolete()

Inherited

inherited_from | \SchemaItem::getIsObsolete()

## Return the objects name.

    getName($lower) : string

Inherited

param boolean $lower Return the name in lower case (default)

inherited_from | \SchemaItem::getName()

### Parameters

#### $lower

### Returns

`string`The name

## getOID()

    getOID()

Inherited

inherited_from | \SchemaItem::getOID()

## setDescription()

    setDescription($desc)

Inherited

inherited_from | \SchemaItem::setDescription()

### Parameters

#### $desc

## setOID()

    setOID($oid)

Inherited

inherited_from | \SchemaItem::setOID()

### Parameters

#### $oid

### Properties

## $description

    $description

Inherited

inherited_from | \SchemaItem::$$description

## $name

    $name

Inherited

inherited_from | \SchemaItem::$$name

## $is_obsolete

    $is_obsolete

Inherited

inherited_from | \SchemaItem::$$is_obsolete

## $oid

    $oid

Inherited

inherited_from | \SchemaItem::$$oid